#--------------------------------------------------------------------- 
#                                                                      
# kah_topology_install.py
# 
# This script installs the IBM Tivoli System Automation for z/OS                  
# eWas code. 
#                                                                      
# Input arguments:                                                     
#                                                                      
#   1st argument: EAR file to install                             
#   2nd argument: server to install it to                                   
#   3rd argument: application name under which to install it
#   4th argument: optinal success string to be echoed   
#                 Default is SUCCEEFUL
#                                                                      
#--------------------------------------------------------------------
# Proprietary Statement:                                             
#                                                                    
#      Licensed Materials - Property of IBM                          
#      (C) COPYRIGHT IBM CORP. 1998, 2012  All Rights Reserved.      
#                                                                    
#      US Government Users Restricted Rights - Use, duplication      
#      disclosure restricted by GSA ADP Schedule Contract with       
#      IBM Corp.                                                     
#                                                                    
#--------------------------------------------------------------------
#                                                                    
# Change Activity:                                                  
# Change Code Vers Date    Who  Description                         
# ----------- ---- ------- ---  ------------------------------------
# $L0=TEPTOPO,B006,16Dec11,UG:  Initial development                 
#                                                                    
#--------------------------------------------------------------------
import sys
from java.lang import Exception

numParams = len(sys.argv)

if (numParams < 3):
	sys.stderr.write("Usage: kah_topology_install.py object server appName [successString]\n")
	sys.stderr.write("[successString] will be echo'd back if the operation is successful\n")
	sys.exit(1)
else:
	success = "false"
	object = sys.argv[0]
	server = sys.argv[1]
	appName = sys.argv[2]
	if (numParams > 3):
		successString = sys.argv[3]
	else:
		successString = "SUCCESSFUL"
	try:
		AdminApp.install(object, '[-server ' + server + ' -appname ' + appName + ']')
		AdminConfig.save()
		success = "true"
	except Exception, e:
		success = "false"
		sys.stderr.write("Exception: " + str(e))
	except:
		success = "false"
		sys.stderr.write("Unknown Exception")
		
if ( success == "true" ):
	print successString
else:
	print "Object " + object + " could not be installed on server " + server + " as application " + appName