#--------------------------------------------------------------------- 
#                                                                      
# kah_topology_uninstall.py
# 
# This script un-istalls the IBM Tivoli System Automation for z/OS                  
# eWas code. 
#                                                                      
# Input arguments:                                                     
#                                                                      
#   1st argument: application name to un-install                           
#   2nd argument: server to uninstall from                                 
#   3rd argument: optinal success string to be echoed   
#                 Default is SUCCEEFUL
#                                                                      
#--------------------------------------------------------------------
# Proprietary Statement:                                             
#                                                                    
#      Licensed Materials - Property of IBM                          
#      (C) COPYRIGHT IBM CORP. 1998, 2012  All Rights Reserved.      
#                                                                    
#      US Government Users Restricted Rights - Use, duplication      
#      disclosure restricted by GSA ADP Schedule Contract with       
#      IBM Corp.                                                     
#                                                                    
#--------------------------------------------------------------------
#                                                                    
# Change Activity:                                                  
# Change Code Vers Date    Who  Description                         
# ----------- ---- ------- ---  ------------------------------------
# $L0=TEPTOPO,B006,16Dec11,UG:  Initial development                 
#                                                                    
#--------------------------------------------------------------------
import sys
from java.lang import Exception

numParams = len(sys.argv)

if (numParams < 2):
	sys.stderr.write("Usage: kah_topology_uninstall.py appName server [successString]\n")
	sys.stderr.write("[successString] will be echo'd back if the operation is successful\n")
	sys.exit(1)
else:
	success = "false"
	appName = sys.argv[0]
	server = sys.argv[1]
	if (numParams > 2):
		successString = sys.argv[2]
	else:
		successString = "SUCCESSFUL"
	try:
		AdminApp.uninstall(appName, '[-server ' + server + ']')
		AdminConfig.save()
		success = "true"
	except Exception, e:
		success = "false"
		sys.stderr.write("Exception: " + str(e))
	except:
		success = "false"
		sys.stderr.write("Unknown Exception")
		
if ( success == "true" ):
	print successString
else:
	print "Application " + appName + " could not be un-installed from server " + server